# Uses of Class
org.apache.solr.client.solrj.request.DocumentAnalysisRequest

Packages that use DocumentAnalysisRequest
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of DocumentAnalysisRequest in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return DocumentAnalysisRequest
Modifier and Type
Method
Description
`DocumentAnalysisRequest`
DocumentAnalysisRequest.`addDocument(SolrInputDocument doc)`
Adds a document to be analyzed.
`DocumentAnalysisRequest`
DocumentAnalysisRequest.`addDocuments(Collection<SolrInputDocument> docs)`
Adds a collection of documents to be analyzed.
`DocumentAnalysisRequest`
DocumentAnalysisRequest.`setQuery(String query)`
Sets the query to be analyzed.
`DocumentAnalysisRequest`
DocumentAnalysisRequest.`setShowMatch(boolean showMatch)`
Sets whether index time tokens that match query time tokens should be marked as a "match".